package com.qianhe.service;

import com.qianhe.common.core.domain.entity.SysDept;
import com.qianhe.domain.*;
import com.qianhe.domain.Vo.SjfybpVo;

import java.util.*;
import java.util.stream.Collectors;

/**
 * 首页Service接口
 * 
 * @author qianhe
 * @date 2024-07-05
 */
public interface IAmainService
{

    /**
     * 查询例会查询情况， 看二级例会情况，看三级例会情况
     */
    public  Map<String, Map<String, Integer>> statisticsMeetings(List<SysDept> depts, List<SjLhsc> lhList);
    public  List<AmainXq> getDeptQuarterlyStatus(List<SysDept> depts, List<SjLhsc> lhList);


    /**
     * 查询费用提交情况
     */
    public  Map countDepartmentExpenses(List<SysDept> depts, List<SjFybpZb> fyList);
    public  List<AmainXq> getExpenseStatus(List<SysDept> depts, List<SjFybpZb> fyList);


    /**
     * 查询直属单位对基层单位的分档评价情况
     */
    public  Map<String, Map<String, Integer>> statisticsGradingEvaluation(List<SysDept> depts, List<SjGfjsZsdwkhpjZb> fdpjList);
    public  List<AmainXq> getEvaluationStatus(List<SysDept> depts, List<SjGfjsZsdwkhpjZb> fdpjList);

    /**
     * 查询基层单位月度问题清单提交情况
     */
    public  Map<String, Map<String, Integer>> statisticsMonthlyIssues(List<SysDept> depts, List<SjGfjsYdjcjl> ydwtList);
    public  List<AmainXq> getMonthlyIssueStatus(List<SysDept> depts, List<SjGfjsYdjcjl> ydwtList) ;


    /**
     * 查询基层单位季度自测提交情况
     */
    public  Map<String, Map<String, Integer>> statisticsQuarterlyTests(List<SysDept> depts, List<SjGfjsZsdwkhpjZb> fdpjList);
    public  List<AmainXq> getQuarterlyTestStatus(List<SysDept> depts, List<SjGfjsZsdwkhpjZb> fdpjList);
}
